Subject: bug#17494: "GREP_OPTIONS" allows a user to break shell script

From: "Nadav Har'El" <[email-masked]>
Date: Sun, 14 Sep 2014 00:37:49 +0300

On Fri, Sep 12, 2014 at 12:21 AM, Paul Eggert <[email-masked]> wrote:

> Attached is a proposed patch that starts to address this longstanding
> problem by deprecating GREP_OPTIONS and warning if it's used.  We can
> remove the dangerous feature in a later release.  Comments?
>

Looks good to me. However, it seems to me that if grep prints this
"warning:" every time grep is used, we don't just deprecate this feature
(with a promise to remove it later), we actually make this feature unusable
immediately, because nobody wants to see this message on every invocation
of grep.

But I'm personally fine with this change, if you are.

Thanks,
Nadav.

-- 
Nadav Har'El
[email-masked]